#! /usr/bin/python3
# coding=utf-8

import chinese_converter,unicodedata
while True:
  try:
    s=input()
  except:
    quit()
  t=s.split(",")
  if t[9]=="*" or t[9]=="":
    i=t[0] if t[10]=="*" or t[10]=="" else t[10]
    j=chinese_converter.to_simplified(unicodedata.normalize("NFKC",i)).replace("眞","真").replace("夢","梦")
    if i!=j:
      t[9]=j
  print(",".join(t))

